> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/update-dsgatewayruleset.md).

# Update-DSGatewayRuleset

Update-DSGatewayRuleset met à jour le nom, la description, les règles d'accès, la passerelle liée et les paramètres de sécurité d'un ensemble de règles de passerelle Devolutions Server.

### Synopsis

Mettre à jour un ensemble de règles de passerelle.

### Syntaxe

#### GetByID

```
Update-DSGatewayRuleset [-GatewayID] <guid> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

#### InputObject

```
Update-DSGatewayRuleset [-Gateway] <Gateway> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

### Description

Met à jour un ensemble de règles de passerelle. Utilisez le paramètre pour modifier les propriétés correspondantes.

Cette applet de commande s'appelait auparavant Update-DSVirtualGateway. Ce nom est toujours disponible comme alias.

### Exemples

#### Exemple 1

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Remplacer toutes les règles d'accès existantes de l'ensemble de règles de passerelle par une règle qui refuse l'adresse IP '1.2.3.4'.

#### Exemple 2

```powershell
PS C:\> $gateway = Get-DSGateway -Name 'GatewayRulesetA'
PS C:\> $gateway.NetworkAccessRules.AllowList.Add(@{ 'Type' = 'IP'; 'Value' = '1.2.3.4' })
PS C:\> Update-DSGatewayRuleset -Gateway $gateway
```

Ajouter une nouvelle règle qui autorise l'adresse IP '1.2.3.4' à l'ensemble de règles de passerelle.

#### Exemple 3

```powershell
PS C:\> $vaultIds = @($vaultId1, $vaultId2)
PS C:\> $security = New-DSGatewaySecurity -VaultRoleOverride Custom -CustomVaultAccess $vaultIds -DisallowPrivateVaults
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayRulesetId -Security $security
```

Créer une configuration de sécurité dont l'accès est limité à des coffres précis, interdire les coffres privés et l'appliquer à un ensemble de règles de passerelle.

### Paramètres

#### -Description

Nouvelle description de l'ensemble de règles de passerelle.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Gateway

Ensemble de règles de passerelle à mettre à jour.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayID

ID de l'ensemble de règles de passerelle à mettre à jour.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Définir comme gateway par défaut.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -LinkedGatewayID

ID de la nouvelle gateway physique.

```yaml
Type: System.Nullable`1[System.Guid]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nouveau nom de l'ensemble de règles de passerelle. La valeur sera tronquée.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Rule

Nouvel ensemble de règles d'accès. Il remplacera tous les anciens.

```yaml
Type: Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Security

Configuration de sécurité de l'ensemble de règles de passerelle. Utilisez [New-DSGatewaySecurity](/powershell/fr/powershell-commands/new-dsgatewaysecurity.md) pour créer cet objet.

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewaySecurity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'information, tapez « Get-Help Update-DSGatewayRuleset -detailed ». Pour de l'information technique, tapez « Get-Help Update-DSGatewayRuleset -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/update-dsgatewayruleset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
